Cairo::ToyFontFace Class Reference

A simple font face used for the cairo 'toy' font API. More...

`#include <cairomm/fontface.h>`

Inheritance diagram for Cairo::ToyFontFace:
[legend]

## Public Member Functions

std::string | get_family () const
| Gets the familly name of a toy font.
FontSlant | get_slant () const
| Gets the slant a toy font.
FontWeight | get_weight () const
| Gets the weight a toy font.
Public Member Functions inherited from Cairo::FontFace
| FontFace (cairo_font_face_t *cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
| FontFace (const FontFace &)=delete
FontFace & | operator= (const FontFace &)=delete
virtual | ~FontFace ()
FontType | get_type () const
| Returns the type of the backend used to create a font face.
cobject * | cobj ()
const cobject * | cobj () const
void | reference () const
void | unreference () const

## Static Public Member Functions

static RefPtr< ToyFontFace > | create (const std::string & family, FontSlant slant, FontWeight weight)
| Creates a font face from a triplet of family, slant, and weight.

## Protected Member Functions

| ToyFontFace (const std::string & family, FontSlant slant, FontWeight weight)

## Additional Inherited Members

Public Types inherited from Cairo::FontFace
typedef cairo_font_face_t | cobject
Protected Attributes inherited from Cairo::FontFace
cobject * | m_cobject

## Detailed Description

A simple font face used for the cairo 'toy' font API.

Since
  1.8

## Constructor & Destructor Documentation

## ToyFontFace()

Cairo::ToyFontFace::ToyFontFace | ( | const std::string & | family,
|  | FontSlant | slant,
|  | FontWeight | weight )

protected

## Member Function Documentation

## create()

RefPtr< ToyFontFace > Cairo::ToyFontFace::create | ( | const std::string & | family,
|  | FontSlant | slant,
|  | FontWeight | weight )

static

Creates a font face from a triplet of family, slant, and weight.

These font faces are used in implementation of the the Context "toy" font API.

If family is the zero-length string "", the platform-specific default family is assumed. The default family then can be queried using get_family().

The Context::select_font_face() function uses this to create font faces. See that function for limitations of toy font faces.

Parameters

  family | a font family name, encoded in UTF-8.
  slant | the slant for the font.
  weight | the weight for the font.

Examples
  toy-text.cc, and user-font.cc.

## get_family()

std::string Cairo::ToyFontFace::get_family | ( |  | ) | const

Gets the familly name of a toy font.

## get_slant()

FontSlant Cairo::ToyFontFace::get_slant | ( |  | ) | const

Gets the slant a toy font.

## get_weight()

FontWeight Cairo::ToyFontFace::get_weight | ( |  | ) | const

Gets the weight a toy font.

The documentation for this class was generated from the following file:

- cairomm/fontface.h